/*
 *  $Id: mpi_ad.h,v 1.5 1993/11/12 12:19:33 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

/* user include file with dependencies on mpir.h */

#ifndef _MPI_INCLUDE_AD
#define _MPI_INCLUDE_AD

typedef MPIR_GROUP              *MPI_Group;
typedef MPIR_COMMUNICATOR       *MPI_Comm;
typedef MPIR_DATATYPE           *MPI_Datatype;
typedef MPIR_HANDLE             *MPI_Comm_request;
typedef MPIR_Intercomm_request  *MPI_Intercomm_request;

/* elementary datatypes */
#define MPI_CHAR	   MPIR_char_dte
#define MPI_SHORT	   MPIR_short_dte
#define MPI_INT		   MPIR_int_dte
#define MPI_LONG	   MPIR_long_dte
#define MPI_FLOAT	   MPIR_float_dte
#define MPI_DOUBLE	   MPIR_double_dte
#define MPI_BYTE	   MPIR_byte_dte
#define MPI_UNSIGNED_CHAR  MPIR_uchar_dte
#define MPI_UNSIGNED_SHORT MPIR_ushort_dte
#define MPI_UNSIGNED_LONG  MPIR_ulong_dte
#define MPI_UNSIGNED_INT   MPIR_uint_dte

/* need the others */

#define MPI_ANY_SOURCE 	(-1)
#define MPI_ANY_TAG	(-1)

#define MPI_Get_source(status,src)      ((src) = (status).source,MPI_OK)
#define MPI_Get_tag(status,tg)          ((tg)  = (status).tag,MPI_OK)
#define MPI_Get_count(status,cnt)       ((cnt) = (status).count,MPI_OK)

#endif
