/*
 *  $Id: comm_test_ic.c,v 1.2 1994/02/02 21:25:47 lusk Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#include <mpi.h>

/*@

MPI_Comm_test_inter - tests to see if a comm is an inter-communicator

@*/
int MPI_Comm_test_inter ( comm, flag )
MPI_Comm  comm;
int      *flag;
{
  int errno = MPI_SUCCESS;

  /* Check for bad arguments */
  if (((comm == (MPI_Comm)0) && (errno = MPI_ERR_COMM_NULL)) ||
	  ((flag == (int *)0)    && (errno = MPI_ERR_NULL))       )
	return (errno);
  
  /* Set the flag */
  if (comm->comm_type == MPIR_INTER)
	(*flag) = 1; /* hmmm, we need an MPI_TRUE */
  else
	(*flag) = 0; /* and an MPI_FALSE */

  return (MPI_SUCCESS);
}
